pydo.genai.create_generated_scenario_set()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.genai.create_generated_scenario_set(
    body={
        "generator_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
        "goal_description": "Test how the agent handles refund requests",
        "name": "billing-support-generated",
        ...,
    },
)
Returns JSONRaises HttpResponseError

Description

To dispatch goal-driven scenario generation, send a POST request to /v2/gen-ai/scenario_sets/generate. The scenario set is returned in the generating state. Poll the retrieve scenario set endpoint until the set reaches a ready, failed, or cancelled status.

Parameters

generator_model_uuid string optional

Example: 123e4567-e89b-12d3-a456-426614174000

Optional model to use for generation. Platform default when unset.

goal_description string optional

Example: Test how the agent handles refund requests

The goal that drives scenario generation.

name string optional

Example: billing-support-generated

The name of the scenario set to create.

num_scenarios integer optional

Example: 123

Number of scenarios to generate. Defaults to 1 if unset.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "generator_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
  "goal_description": "Test how the agent handles refund requests",
  "name": "billing-support-generated",
  "num_scenarios": 123
}

resp = client.genai.create_generated_scenario_set(body=req)

Response Example

Show Response Example
{
  "scenario_set": {
    "bucket_name": "example name",
    "bucket_region": "example string",
    "created_at": "2023-01-01T00:00:00Z",
    "deleted_at": "2023-01-01T00:00:00Z",
    "description": "example string",
    "failure_reason": "example string",
    "generator_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "library_scenario_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "example name",
    "scenario_count": 123,
    "scenario_set_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "source_export_id": "123e4567-e89b-12d3-a456-426614174000",
    "source_goal_description": "example string",
    "source_kind": "SCENARIO_SET_SOURCE_KIND_UNSPECIFIED",
    "spaces_key": "example string",
    "status": "SCENARIO_SET_STATUS_UNSPECIFIED",
    "updated_at": "2023-01-01T00:00:00Z",
    "workflow_uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/scenario_sets/generate in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.